VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements2 Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements2:
[legend]

## Public Member Functions

| operator VkSparseImageMemoryRequirements2 const & () const
| operator VkSparseImageMemoryRequirements2 & ()
bool | operator== (SparseImageMemoryRequirements2 const &rhs) const
bool | operator!= (SparseImageMemoryRequirements2 const &rhs) const

## Data Fields

void * | pNext = nullptr
SparseImageMemoryRequirements | memoryRequirements

## Private Attributes

StructureType | sType = StructureType::eSparseImageMemoryRequirements2

## Detailed Description

Definition at line 26089 of file vulkan.hpp.

## Member Function Documentation

## operator VkSparseImageMemoryRequirements2 &()

VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements2::operator VkSparseImageMemoryRequirements2 & | ( |  | ) |

inline

Definition at line 26096 of file vulkan.hpp.

{
return *reinterpret_cast<VkSparseImageMemoryRequirements2*>(this);
}

## operator VkSparseImageMemoryRequirements2 const &()

VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements2::operator VkSparseImageMemoryRequirements2 const & | ( |  | ) | const

inline

Definition at line 26091 of file vulkan.hpp.

{
return *reinterpret_cast<const VkSparseImageMemoryRequirements2*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements2::operator!= | ( | SparseImageMemoryRequirements2 const & | rhs | ) | const

inline

Definition at line 26108 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements2::operator== | ( | SparseImageMemoryRequirements2 const & | rhs | ) | const

inline

Definition at line 26101 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( memoryRequirements == rhs.memoryRequirements );
}

References memoryRequirements, pNext, and sType.

Referenced by operator!=().

## Field Documentation

## memoryRequirements

SparseImageMemoryRequirements VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements2::memoryRequirements

Definition at line 26118 of file vulkan.hpp.

Referenced by operator==().

## pNext

void* VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements2::pNext = nullptr

Definition at line 26117 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements2::sType = StructureType::eSparseImageMemoryRequirements2

private

Definition at line 26114 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkSparseImageMemoryRequirements2
Definition: vulkan_core.h:4146
VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements2::memoryRequirements
SparseImageMemoryRequirements memoryRequirements
Definition: vulkan.hpp:26118
VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements2::sType
StructureType sType
Definition: vulkan.hpp:26114
VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements2::pNext
void * pNext
Definition: vulkan.hpp:26117
VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements2::operator==
bool operator==(SparseImageMemoryRequirements2 const &rhs) const
Definition: vulkan.hpp:26101